/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * blancoMailCore ライブラリのPOJOクラスです。
 */
package blanco.mail.core.valueobject;

/**
 * メールヘッダをあらわすバリューオブジェクト
 */
public class BlancoMailMessageHeader {
    /**
     * フィールド [NAME]
     *
     * 項目の型 [java.lang.String]<br>
     * メールヘッダのキー。 (receive) Message-ID などの値が格納されます。
     */
    private String fName;

    /**
     * フィールド [VALUE]
     *
     * 項目の型 [java.lang.String]<br>
     * メールヘッダの値。
     */
    private String fValue;

    /**
     * フィールド [NAME]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メールヘッダのキー。 (receive) Message-ID などの値が格納されます。
     *
     * @param argName フィールド[NAME]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[NAME]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メールヘッダのキー。 (receive) Message-ID などの値が格納されます。
     *
     * @return フィールド[NAME]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [VALUE]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メールヘッダの値。
     *
     * @param argValue フィールド[VALUE]に格納したい値
     */
    public void setValue(final String argValue) {
        fValue = argValue;
    }

    /**
     * フィールド[VALUE]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メールヘッダの値。
     *
     * @return フィールド[VALUE]に格納されている値
     */
    public String getValue() {
        return fValue;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.mail.core.valueobject.BlancoMailMessageHeader[");
        buf.append("NAME=" + fName);
        buf.append(",VALUE=" + fValue);
        buf.append("]");
        return buf.toString();
    }
}
